vsgImGui: ImFont Struct Reference

vsgImGui 0.7.0 VulkanSceneGraph, ImGui and ImPlot integration library |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ImFont Struct Reference
Collaboration diagram for ImFont:
[legend]

## Public Member Functions
IMGUI_API const ImFontGlyph * | FindGlyph (ImWchar c)
IMGUI_API const ImFontGlyph * | FindGlyphNoFallback (ImWchar c)
float | GetCharAdvance (ImWchar c)
bool | IsLoaded () const
const char * | GetDebugName () const
IMGUI_API ImVec2 | CalcTextSizeA (float size, float max_width, float wrap_width, const char *text_begin, const char *text_end=NULL, const char **remaining=NULL)
IMGUI_API const char * | CalcWordWrapPositionA (float scale, const char *text, const char *text_end, float wrap_width)
IMGUI_API void | RenderChar (ImDrawList *draw_list, float size, const ImVec2 &pos, ImU32 col, ImWchar c)
IMGUI_API void | RenderText (ImDrawList *draw_list, float size, const ImVec2 &pos, ImU32 col, const ImVec4 &clip_rect, const char *text_begin, const char *text_end, float wrap_width=0.0f, bool cpu_fine_clip=false)
IMGUI_API void | BuildLookupTable ()
IMGUI_API void | ClearOutputData ()
IMGUI_API void | GrowIndex (int new_size)
IMGUI_API void | AddGlyph (const ImFontConfig *src_cfg, ImWchar c, float x0, float y0, float x1, float y1, float u0, float v0, float u1, float v1, float advance_x)
IMGUI_API void | AddRemapChar (ImWchar dst, ImWchar src, bool overwrite_dst=true)
IMGUI_API void | SetGlyphVisible (ImWchar c, bool visible)
IMGUI_API bool | IsGlyphRangeUnused (unsigned int c_begin, unsigned int c_last)

## Public Attributes
ImVector< float > | IndexAdvanceX
float | FallbackAdvanceX
float | FontSize
ImVector< ImWchar > | IndexLookup
ImVector< ImFontGlyph > | Glyphs
const ImFontGlyph * | FallbackGlyph
ImFontAtlas * | ContainerAtlas
const ImFontConfig * | ConfigData
short | ConfigDataCount
short | EllipsisCharCount
ImWchar | EllipsisChar
ImWchar | FallbackChar
float | EllipsisWidth
float | EllipsisCharStep
bool | DirtyLookupTables
float | Scale
float | Ascent
float | Descent
int | MetricsTotalSurface
ImU8 | Used4kPagesMap [(IM_UNICODE_CODEPOINT_MAX+1)/4096/8]

The documentation for this struct was generated from the following file:

- include/vsgImGui/imgui.h